Bug 182021 - Modify port: ports-mgmt/dialog4ports to allow slave ports
Modify port: ports-mgmt/dialog4ports to allow slave ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 20:00 UTC by Chris Rees
Modified: 2013-09-15 20:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2013-09-11 20:00:00 UTC
	Joe Marcus Clarke and I would like to add a slave port to ports-mgmt/dialog4ports to compile a static binary, so that it can be copied to chroots and used inside them without shlib complaints.

	Please confirm that you approve of the minor modifications to ports-mgmt/dialog4ports, and I'll add the new port.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--rO6FnzzruF87lnul3iI8ma8wlSzQ8IXBFerzILgpOwHKweRu
Content-Type: text/plain; name="patch.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch.txt"

Index: ports-mgmt/Makefile
===================================================================
--- ports-mgmt/Makefile	(revision 326922)
+++ ports-mgmt/Makefile	(working copy)
@@ -8,6 +8,7 @@
     SUBDIR += bxpkg
     SUBDIR += chucky
     SUBDIR += dialog4ports
+    SUBDIR += dialog4ports-static
     SUBDIR += distilator
     SUBDIR += fastest_sites
     SUBDIR += fbsdmon
Index: ports-mgmt/dialog4ports/Makefile
===================================================================
--- ports-mgmt/dialog4ports/Makefile	(revision 326922)
+++ ports-mgmt/dialog4ports/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dialog4ports
 PORTVERSION=	0.1.5
-PORTREVISION=	1
+PORTREVISION?=	1
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	http://m1cro.tk/dialog4ports/ \
 		http://files.etoilebsd.net/dialog4ports/ \
@@ -13,17 +13,19 @@
 		ftp://invisible-island.net/dialog/:dialog \
 		http://mirror.shatow.net/freebsd/${PORTNAME}/:dialog
 
-MAINTAINER=	rum1cro@yandex.ru
-COMMENT=	Console Interface to configure ports
+MAINTAINER?=	rum1cro@yandex.ru
+COMMENT?=	Console Interface to configure ports
 
 # CCACHE has options, so may need d4p, make d4p not ccache friendly
 # to avoid circular dependency
 NO_CCACHE=	yes
 MANCOMPRESSED=	yes
-MAN1=		${PORTNAME}.1
 MAKE_ENV+=	__MAKE_CONF=/dev/null SRCCONF=/dev/null
 
+.if !defined(D4P_SLAVE)
+MAN1=		${PORTNAME}.1
 PLIST_FILES=	bin/dialog4ports
+.endif
 
 
 .include <bsd.port.pre.mk>
@@ -36,7 +38,7 @@
 DIALOG4PORTS=	${WRKSRC}/dialog4ports
 .endif
 
-.if ${OSVERSION} < 900030
+.if ${OSVERSION} < 900030 || defined(D4P_SLAVE)
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
 		${DIALOGNAME}.tgz:dialog
 DIALOGNAME=	dialog-1.1-20120706
Index: ports-mgmt/dialog4ports-static/Makefile
===================================================================
--- ports-mgmt/dialog4ports-static/Makefile	(revision 0)
+++ ports-mgmt/dialog4ports-static/Makefile	(working copy)
@@ -0,0 +1,19 @@
+# $FreeBSD$
+
+PKGNAMESUFFIX=	-static
+
+MAINTAINER=	marcus@marcuscom.com
+COMMENT=	Console Interface to configure ports (static version for chroots)
+
+MASTERDIR=	${.CURDIR}/../dialog4ports
+DESCR=		${.CURDIR}/pkg-descr
+MAKE_ENV+=	NO_SHARED=yes
+D4P_SLAVE=	yes
+
+PLIST_FILES=	bin/dialog4ports-static
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/dialog4ports \
+		${PREFIX}/bin/dialog4ports-static
+
+.include "${MASTERDIR}/Makefile"

Property changes on: ports-mgmt/dialog4ports-static/Makefile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+FreeBSD=%H
\ No newline at end of property
Index: ports-mgmt/dialog4ports-static/pkg-descr
===================================================================
--- ports-mgmt/dialog4ports-static/pkg-descr	(revision 0)
+++ ports-mgmt/dialog4ports-static/pkg-descr	(working copy)
@@ -0,0 +1,4 @@
+dialog4ports -- a dialog for FreeBSD ports.  This is a static version that
+can be used in chroots, for example in Tinderbox.
+
+WWW: https://bitbucket.org/m1cro/d4p/

Property changes on: ports-mgmt/dialog4ports-static/pkg-descr
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Comment 1 Edwin Groothuis freebsd_committer 2013-09-11 20:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-11 20:00:09 UTC
Maintainer of ports-mgmt/dialog4ports,

Please note that PR ports/182021 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182021

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-09-11 20:00:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 m1cro 2013-09-12 13:16:20 UTC
On 11.09.2013 23:00, Edwin Groothuis wrote:
> Maintainer of ports-mgmt/dialog4ports,
>
> Please note that PR ports/182021 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182021
>
Hi Crees,

Yes, it is fine for me.

-- 
WBR, Ilya A. Arkhipov
Comment 5 dfilter freebsd_committer 2013-09-15 20:04:04 UTC
Author: crees
Date: Sun Sep 15 19:03:55 2013
New Revision: 327356
URL: http://svnweb.freebsd.org/changeset/ports/327356

Log:
  dialog4ports -- a dialog for FreeBSD ports.  This is a static version that
  can be used in chroots, for example in Tinderbox.
  
  PR:		ports/182021
  Submitted by:	marcus
  Reviewed by:	portmgr (bdrewery)
  Approved by:	maintainer

Added:
  head/ports-mgmt/dialog4ports-static/
  head/ports-mgmt/dialog4ports-static/Makefile   (contents, props changed)
  head/ports-mgmt/dialog4ports-static/pkg-descr   (contents, props changed)
Modified:
  head/ports-mgmt/Makefile
  head/ports-mgmt/dialog4ports/Makefile

Modified: head/ports-mgmt/Makefile
==============================================================================
--- head/ports-mgmt/Makefile	Sun Sep 15 19:03:03 2013	(r327355)
+++ head/ports-mgmt/Makefile	Sun Sep 15 19:03:55 2013	(r327356)
@@ -8,6 +8,7 @@
     SUBDIR += bxpkg
     SUBDIR += chucky
     SUBDIR += dialog4ports
+    SUBDIR += dialog4ports-static
     SUBDIR += distilator
     SUBDIR += fastest_sites
     SUBDIR += fbsdmon

Added: head/ports-mgmt/dialog4ports-static/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/ports-mgmt/dialog4ports-static/Makefile	Sun Sep 15 19:03:55 2013	(r327356)
@@ -0,0 +1,18 @@
+# $FreeBSD$
+
+PKGNAMESUFFIX=	-static
+
+COMMENT=	Console Interface to configure ports (static version for chroots)
+
+MASTERDIR=	${.CURDIR}/../dialog4ports
+DESCR=		${.CURDIR}/pkg-descr
+MAKE_ENV+=	NO_SHARED=yes
+D4P_SLAVE=	yes
+
+PLIST_FILES=	bin/dialog4ports-static
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/dialog4ports \
+		${PREFIX}/bin/dialog4ports-static
+
+.include "${MASTERDIR}/Makefile"

Added: head/ports-mgmt/dialog4ports-static/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/ports-mgmt/dialog4ports-static/pkg-descr	Sun Sep 15 19:03:55 2013	(r327356)
@@ -0,0 +1,4 @@
+dialog4ports -- a dialog for FreeBSD ports.  This is a static version that
+can be used in chroots, for example in Tinderbox.
+
+WWW: https://bitbucket.org/m1cro/d4p/

Modified: head/ports-mgmt/dialog4ports/Makefile
==============================================================================
--- head/ports-mgmt/dialog4ports/Makefile	Sun Sep 15 19:03:03 2013	(r327355)
+++ head/ports-mgmt/dialog4ports/Makefile	Sun Sep 15 19:03:55 2013	(r327356)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dialog4ports
 PORTVERSION=	0.1.5
-PORTREVISION=	1
+PORTREVISION?=	1
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	http://m1cro.tk/dialog4ports/ \
 		http://files.etoilebsd.net/dialog4ports/ \
@@ -14,17 +14,18 @@ MASTER_SITES=	http://m1cro.tk/dialog4por
 		http://mirror.shatow.net/freebsd/${PORTNAME}/:dialog
 
 MAINTAINER=	rum1cro@yandex.ru
-COMMENT=	Console Interface to configure ports
+COMMENT?=	Console Interface to configure ports
 
 # CCACHE has options, so may need d4p, make d4p not ccache friendly
 # to avoid circular dependency
 NO_CCACHE=	yes
 MANCOMPRESSED=	yes
-MAN1=		${PORTNAME}.1
 MAKE_ENV+=	__MAKE_CONF=/dev/null SRCCONF=/dev/null
 
+.if !defined(D4P_SLAVE)
+MAN1=		${PORTNAME}.1
 PLIST_FILES=	bin/dialog4ports
-
+.endif
 
 .include <bsd.port.pre.mk>
 
@@ -36,7 +37,7 @@ MAKE_ARGS+=	DEBUG_FLAGS="${DEBUG_FLAGS}"
 DIALOG4PORTS=	${WRKSRC}/dialog4ports
 .endif
 
-.if ${OSVERSION} < 900030
+.if ${OSVERSION} < 900030 || defined(D4P_SLAVE)
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
 		${DIALOGNAME}.tgz:dialog
 DIALOGNAME=	dialog-1.1-20120706
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2013-09-15 20:04:19 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!